$(document).ready(function() {
	$(function($) {
		$.datepicker.regional['de'] = {
			clearText: 'löschen',
			clearStatus: 'aktuelles Datum löschen',
			closeText: 'schließen',
			closeStatus: 'ohne Änderungen schließen',
			prevText: '<zurück',
			prevStatus: 'letzten Monat zeigen',
			nextText: 'Vor>',
			nextStatus: 'nächsten Monat zeigen',
			currentText: 'heute',
			currentStatus: '',
			monthNames: ['Januar', 'Februar', 'März', 'April', 'Mai', 'Juni',
				'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'],
			monthNamesShort: ['Jan', 'Feb', 'Mär', 'Apr', 'Mai', 'Jun',
				'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'],
			monthStatus: 'anderen Monat anzeigen',
			yearStatus: 'anderes Jahr anzeigen',
			weekHeader: 'Wo',
			weekStatus: 'Woche des Monats',
			dayNames: ['Sonntag', 'Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag'],
			dayNamesShort: ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
			dayNamesMin: ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
			dayStatus: 'Setze DD als ersten Wochentag',
			dateStatus: 'Wähle D, M d',
			dateFormat: 'dd.mm.yy',
			firstDay: 1,
			initStatus: 'Wählen Sie ein Datum',
			isRTL: false
		};
		$.datepicker.setDefaults($.datepicker.regional['de']);
	});
	$('.datepicker').datepicker({
		'dateFormat': 'dd.mm.yy'
	});

	// content_login
	$('.content_login .content_login_wrapper .content_login_middle .registration_wrapper').css({
		'opacity': 0.7
	});

	$('.content_login .content_login_wrapper .content_login_middle .registration_wrapper').hover(function() {
		$(this).stop().animate({
			'opacity': 1
		}, 150);
	}, function() {
		$(this).stop().animate({
			'opacity': 0.7
		});
	});

	$('.content_login .content_login_wrapper .content_login_middle .registration_wrapper').click(function(e) {
		e.preventDefault();
		$('#registration_submit_button').trigger('click');
	});

	$('.content_box_banner').cycle({
		'fx': 'fade',
		'speed': 2500,
		'timeout': 5000
	});

	$('.category_field').click(function() {
		$(this).find('.category_menu').slideToggle();
	});




	// shoppingcart item search
	var shoppingcart_search_item_selector = $('#shoppingcart_search_item');

	shoppingcart_search_item_selector.focus(function() {
		var shoppingcart_search_item_value = shoppingcart_search_item_selector.val();
		if (shoppingcart_search_item_value == 'Suchartikel hier eingeben') {
			shoppingcart_search_item_selector.val('');
		}

	});

	shoppingcart_search_item_selector.live('keyup', function(e) {
		e.preventDefault();

		var search = $(this).val();

		if (search.length > 2) {
			var jqxhr = $.ajax({
				'url': '/index.php?website_modul=website_search&type=shoppingcart&search=' + search
			});

			jqxhr.success(function(data) {

				$('#shoppingcart_searchResultBox').empty().remove();

				searchbox = $('<div id="shoppingcart_searchResultBox">' + data + '</div>')
					.appendTo('#shoppingcart_search_result');
			});

			jqxhr.error(function(data) {
				//alert(data);
			});
		} else {

			$('#shoppingcart_searchResultBox').empty().remove();
		}
	});
        
        
        $('.content_box_textbox .content .text_box_link_show_text').live('click', function(e) {
            $(this).prev('.content_box_textbox .content .text_box_hidden_text').css("display", "inline");
            $(this).css("display", "none");
            $(this).next('.content_box_textbox .content .text_box_link_hide_text').css("display", "inline");
        });
        
        $('.content_box_textbox .content .text_box_link_hide_text').live('click', function(e) {
            $('.text_box_hidden_text,.text_box_link_hide_text', $(this).parents('.content')).css('display', 'none');
            $('.text_box_link_show_text', $(this).parents('.content')).css('display', 'inline');
        });






});
